Page MenuHomePhabricator

Optimize the CX Stats query
Closed, ResolvedPublic1 Story Points

Description

As per CR of https://gerrit.wikimedia.org/r/#/c/236529/2/includes/Translation.php

Explore the option of merging published and draft stats queries, and if possible avoid the subquery

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterStats: Optimize the query behind contenttranslationlangtrend API

Event Timeline

santhosh created this task.Sep 9 2015, 12:12 PM
santhosh claimed this task.
santhosh raised the priority of this task from to Low.
santhosh updated the task description. (Show Details)
santhosh added a subscriber: santhosh.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 9 2015, 12:12 PM

It may be even possible to to abstract output formatting part. See https://gerrit.wikimedia.org/r/#/c/236538/2/includes/Translation.php

Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Sep 12 2015, 1:16 PM

Change 238114 had a related patch set uploaded (by Santhosh):
Stats: Optimize the query behind contenttranslationlangtrend API

https://gerrit.wikimedia.org/r/238114

Change 238114 merged by jenkins-bot:
Stats: Optimize the query behind contenttranslationlangtrend API

https://gerrit.wikimedia.org/r/238114

santhosh moved this task from In Review to QA on the LE-CX6-Sprint 4 board.Sep 14 2015, 3:18 PM
Nikerabbit set Security to None.
Nikerabbit edited a custom field.
Arrbee moved this task from QA to Done on the LE-CX6-Sprint 4 board.Sep 16 2015, 7:06 AM
santhosh closed this task as Resolved.Sep 22 2015, 7:14 AM